/**
 * --------------------------------------------------------------------------
 * @Copyright   : License MIT 2022
 *
 * @Author      : Alexandre Caillot
 * @WebSite     : https://www.shiros.fr
 *
 * @File        : Layout.css
 * @Created_at  : 27/06/2022
 * @Update_at   : 27/06/2022
 * --------------------------------------------------------------------------
 */

html, body, #app {
    display: flex;

    flex: 1 1 auto;
    flex-direction: column;

    width: 100%;
    height: 100%;

    margin: 0;
    padding: 0;

    font-family: Lato, Helvetica, sans-serif;
    word-wrap: break-word;

    color: var(--shiros-cv-text-color);
    background: var(--shiros-cv-background);

    box-sizing: content-box;
    -ms-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
}

/**
# --------------------------------
# Scrollbar
*/

/* --- Scrollbar (Firefox) --- */
* {
    scrollbar-color: var(--shiros-cv-scrollbar-cursor-color) var(--shiros-cv-scrollbar-background-color);
    scrollbar-width: thin;
}

/* --- Scrollbar (Chrome / Edge) --- */
*::-webkit-scrollbar {
    width: 6px;
    height: 6px;
}

/* --- Scrollbar (Chrome / Edge) : Background  --- */
*::-webkit-scrollbar-track-piece {
    background-color: var(--shiros-cv-scrollbar-background-color);
}

/* --- Scrollbar (Chrome / Edge) : Cursor  --- */
*::-webkit-scrollbar-thumb {
    border-radius: 5px;
    box-shadow: inset 0 0 0 6px var(--shiros-cv-scrollbar-cursor-color);
}
